<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Accessories: D:/Mes documents/Trusty/Arduino/Libraries/Accessories/src/Accessories.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Accessories
   </div>
   <div id="projectbrief">Arduino for motors and lights library.</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('Accessories_8h.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a>  </div>
  <div class="headertitle">
<div class="title">Accessories.h File Reference</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;DIO2.h&quot;</code><br />
<code>#include &quot;Port.hpp&quot;</code><br />
<code>#include &quot;AccessoryMotorOneWay.hpp&quot;</code><br />
<code>#include &quot;AccessoryMotorTwoWays.hpp&quot;</code><br />
<code>#include &quot;AccessoryServo.hpp&quot;</code><br />
<code>#include &quot;AccessoryStepper.hpp&quot;</code><br />
<code>#include &quot;AccessoryLight.hpp&quot;</code><br />
<code>#include &quot;AccessoryLightMulti.hpp&quot;</code><br />
<code>#include &quot;AccessoryGroup.hpp&quot;</code><br />
<code>#include &quot;PortOnePin.hpp&quot;</code><br />
<code>#include &quot;PortTwoPins.hpp&quot;</code><br />
<code>#include &quot;PortTwoPinsEnable.hpp&quot;</code><br />
<code>#include &quot;PortSpeedDirBrake.hpp&quot;</code><br />
<code>#include &quot;PortShieldL293d.hpp&quot;</code><br />
<code>#include &quot;PortServo.hpp&quot;</code><br />
<code>#include &quot;PortStepper.hpp&quot;</code><br />
<code>#include &quot;Accessories.hpp&quot;</code><br />
</div>
<p><a href="Accessories_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:abe48e551c87434efe75af8e7d4df457c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="Accessories_8h.html#abe48e551c87434efe75af8e7d4df457c">GPIO2_PREFER_SPEED</a>&#160;&#160;&#160;1</td></tr>
<tr class="separator:abe48e551c87434efe75af8e7d4df457c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86cfc9976a2d87ddad58b877ccd66073"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="Accessories_8h.html#a86cfc9976a2d87ddad58b877ccd66073">ACTION_STACK_SIZE</a>&#160;&#160;&#160;5</td></tr>
<tr class="separator:a86cfc9976a2d87ddad58b877ccd66073"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c353a6d1e08fbc0dc9b12fa15fa0ef5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2c353a6d1e08fbc0dc9b12fa15fa0ef5"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>NO_EEPROM</b></td></tr>
<tr class="separator:a2c353a6d1e08fbc0dc9b12fa15fa0ef5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Main include file of the library. </p>

<p class="definition">Definition in file <a class="el" href="Accessories_8h_source.html">Accessories.h</a>.</p>
</div><h2 class="groupheader">Macro Definition Documentation</h2>
<a class="anchor" id="a86cfc9976a2d87ddad58b877ccd66073"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ACTION_STACK_SIZE&#160;&#160;&#160;5</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Default size of action stack. </p>

<p class="definition">Definition at line <a class="el" href="Accessories_8h_source.html#l00294">294</a> of file <a class="el" href="Accessories_8h_source.html">Accessories.h</a>.</p>

</div>
</div>
<a class="anchor" id="abe48e551c87434efe75af8e7d4df457c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GPIO2_PREFER_SPEED&#160;&#160;&#160;1</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This is used internally by DIO2.h </p>

<p class="definition">Definition at line <a class="el" href="Accessories_8h_source.html#l00289">289</a> of file <a class="el" href="Accessories_8h_source.html">Accessories.h</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d41d8cd98f00b204e9800998ecf8427e.html">src</a></li><li class="navelem"><a class="el" href="Accessories_8h.html">Accessories.h</a></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:44:46 for Accessories &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
